ProviderResourceTypesOperations Class
ProviderResourceTypesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectProviderResourceTypesOperations
Constructor
ProviderResourceTypesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| list |
List the resource types for a specified resource provider. |
list
List the resource types for a specified resource provider.
async list(resource_provider_namespace: str, expand: Optional[str] = None, **kwargs: Any) -> azure.mgmt.resource.resources.v2020_10_01.models._models_py3.ProviderResourceTypeListResult
Parameters
- expand
- str
The $expand query parameter. For example, to include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ProviderResourceTypeListResult, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.resource.resources.v2020_10_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resource\\resources\\v2020_10_01\\models\\__init__.py'>
Feedback
Submit and view feedback for